OGRE-Next: Ogre::HlmsSamplerblock Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::HlmsSamplerblock Struct Reference
Core » Resources

A sampler block contains settings that go hand in hand with a texture, and thus are common to many textures. More...

`#include <OgreHlmsSamplerblock.h>`

Inheritance diagram for Ogre::HlmsSamplerblock:
[legend]

## Public Member Functions
| HlmsSamplerblock ()
bool | operator!= (const HlmsSamplerblock &_r) const
void | setAddressingMode (TextureAddressingMode addressingMode)
void | setFiltering (TextureFilterOptions filterType)
| Helper function to set filtering to the most common settings.
Public Member Functions inherited from Ogre::BasicBlock
| BasicBlock (uint8 blockType)

## Public Attributes
ColourValue | mBorderColour
CompareFunction | mCompareFunction
| Defaults to NUM_COMPARE_FUNCTIONS which means disabled.
FilterOptions | mMagFilter
float | mMaxAnisotropy
float | mMaxLod
FilterOptions | mMinFilter
float | mMinLod
FilterOptions | mMipFilter
Real | mMipLodBias
| This allows you to adjust the mipmap calculation up or down for a given texture unit.
TextureAddressingMode | mU
TextureAddressingMode | mV
TextureAddressingMode | mW
Public Attributes inherited from Ogre::BasicBlock
uint8 | mAllowGlobalDefaults
| When zero, HlmsManager cannot override the block's values with enforced global settings.
uint8 | mBlockType
uint16 | mId
| The mId is only valid while mRefCount > 0; which means mRsData may contain valid data, else it's null.
uint16 | mLifetimeId
| Except for HlmsSamplerblocks, mLifetimeId is valid throghout the entire life of HlmsManager.
uint16 | mRefCount
void * | mRsData
| Render-System specific data.

## Detailed Description

A sampler block contains settings that go hand in hand with a texture, and thus are common to many textures.

This is very analogous to D3D11_SAMPLER_DESC.

See also
  HlmsDatablock Up to 32 different blocks are allowed!

## Constructor & Destructor Documentation

## ◆ HlmsSamplerblock()

Ogre::HlmsSamplerblock::HlmsSamplerblock | ( |  | ) |

Referenced by operator!=().

## Member Function Documentation

## ◆ operator!=()

bool Ogre::HlmsSamplerblock::operator!= | ( | const HlmsSamplerblock & | _r | ) | const
| inline

References HlmsSamplerblock(), Ogre::BasicBlock::mAllowGlobalDefaults, mBorderColour, mCompareFunction, mMagFilter, mMaxAnisotropy, mMaxLod, mMinFilter, mMinLod, mMipFilter, mMipLodBias, mU, mV, and mW.

## ◆ setAddressingMode()

void Ogre::HlmsSamplerblock::setAddressingMode | ( | TextureAddressingMode | addressingMode | ) |

## ◆ setFiltering()

void Ogre::HlmsSamplerblock::setFiltering | ( | TextureFilterOptions | filterType | ) |

Helper function to set filtering to the most common settings.

## Member Data Documentation

## ◆ mBorderColour

ColourValue Ogre::HlmsSamplerblock::mBorderColour

Referenced by operator!=().

## ◆ mCompareFunction

CompareFunction Ogre::HlmsSamplerblock::mCompareFunction

Defaults to NUM_COMPARE_FUNCTIONS which means disabled.

Referenced by operator!=().

## ◆ mMagFilter

FilterOptions Ogre::HlmsSamplerblock::mMagFilter

Referenced by operator!=().

## ◆ mMaxAnisotropy

float Ogre::HlmsSamplerblock::mMaxAnisotropy

Referenced by operator!=().

## ◆ mMaxLod

float Ogre::HlmsSamplerblock::mMaxLod

Referenced by operator!=().

## ◆ mMinFilter

FilterOptions Ogre::HlmsSamplerblock::mMinFilter

Referenced by operator!=().

## ◆ mMinLod

float Ogre::HlmsSamplerblock::mMinLod

Referenced by operator!=().

## ◆ mMipFilter

FilterOptions Ogre::HlmsSamplerblock::mMipFilter

Referenced by operator!=().

## ◆ mMipLodBias

Real Ogre::HlmsSamplerblock::mMipLodBias

This allows you to adjust the mipmap calculation up or down for a given texture unit.

Negative values force a larger mipmap to be used, positive values force a smaller mipmap to be used. Units are in numbers of levels, so +1 forces the mipmaps to one smaller level.

Note
  Only does something if render system has capability RSC_MIPMAP_LOD_BIAS.

Referenced by operator!=().

## ◆ mU

TextureAddressingMode Ogre::HlmsSamplerblock::mU

Referenced by operator!=().

## ◆ mV

TextureAddressingMode Ogre::HlmsSamplerblock::mV

Referenced by operator!=().

## ◆ mW

TextureAddressingMode Ogre::HlmsSamplerblock::mW

Referenced by operator!=().

The documentation for this struct was generated from the following file:

- OgreHlmsSamplerblock.h